;(function () {
    /**
     *
     * タッチ範囲指定プラグイン
     *
     */

    /**
     * タグ定義
     */
    TYRANO.kag.tag.tp_config = {
        pm: {
            x: "0",
            y: "0",
            width: TYRANO.kag.config.scWidth,
            height: TYRANO.kag.config.scHeight,
        },
        start(pm) {
            const that = this

            const event = $(".layer_event_click")
            event.css({
                top: pm.y + "px",
                left: pm.x + "px",
                width: pm.width,
                height: pm.height,
            })
            TYRANO.kag.ftag.nextOrder()
        },
    }
    TYRANO.kag.ftag.master_tag.tp_config = TYRANO.kag.tag.tp_config
    TYRANO.kag.ftag.master_tag.tp_config.kag = TYRANO.kag
})()
